Page MenuHomePhabricator

Provide section order information in the section suggestions API
Closed, ResolvedPublic

Description

T243430: Basic service for mapping sections added a basic api for providing suggestions for sections to translate. However it is noted that the order of sections in "present" and "missing" need to be preserved so that we can present them in UI in that order.

Event Timeline

santhosh created this task.Jun 24 2020, 6:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2020, 6:56 AM
Pginer-WMF triaged this task as Medium priority.Jul 10 2020, 7:51 AM

Change 616727 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Provide section order information in the section suggestions API

https://gerrit.wikimedia.org/r/616727

Change 616727 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Provide section order information in the section suggestions API

https://gerrit.wikimedia.org/r/616727

Change 618525 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/deployment-charts@master] Update cxserver to 2020-08-05-070016-production

https://gerrit.wikimedia.org/r/618525

Change 618525 merged by jenkins-bot:
[operations/deployment-charts@master] Update cxserver to 2020-08-05-070016-production

https://gerrit.wikimedia.org/r/618525

This is now deployed in Production and can be tested.

Example:
https://cxserver.wikimedia.org/v2/suggest/sections/Sitar/en/ml

{
  "sections": {
    "sourceLanguage": "en",
    "sourceTitle": "Sitar",
    "targetLanguage": "ml",
    "targetTitle": "സിത്താർ",
    "sourceSections": [
      "Etymology",
      "History",
      "General layout",
      "Construction styles",
      "Tuning",
      "Playing",
      "World music influence",
      "See also",
      "References",
      "External links"
    ],
    "targetSections": [
      "പ്രമുഖർ",
      "അവലംബം"
    ],
    "present": {
      "References": "അവലംബം"
    },
    "missing": {
      "Etymology": "പേരിന്റെ ഉത്ഭവം",
      "History": "ചരിത്രം",
      "Playing": "വായിക്കുന്ന രീതി",
      "See also": "ഇതും കാണുക",
      "External links": "പുറത്തേക്കുള്ള കണ്ണികൾ"
    }
  }
}
santhosh added a subscriber: Jpita.Aug 6 2020, 12:44 PM

@Jpita You may just verify the above result and move

Pginer-WMF closed this task as Resolved.Aug 14 2020, 1:53 PM